## OMA Get Session Info

OMA Get Session Info

## Functions

QmiMessageOmaGetSessionInfoOutput * | qmi_message_oma_get_session_info_output_ref ()
void | qmi_message_oma_get_session_info_output_unref ()
gboolean | qmi_message_oma_get_session_info_output_get_result ()
gboolean | qmi_message_oma_get_session_info_output_get_session_info ()
gboolean | qmi_message_oma_get_session_info_output_get_session_failed_reason ()
gboolean | qmi_message_oma_get_session_info_output_get_retry_info ()
gboolean | qmi_message_oma_get_session_info_output_get_network_initiated_alert ()
void | qmi_client_oma_get_session_info ()
QmiMessageOmaGetSessionInfoOutput * | qmi_client_oma_get_session_info_finish ()

## Types and Values

| QmiMessageOmaGetSessionInfoOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageOmaGetSessionInfoOutput

## Description

## Functions

### qmi_message_oma_get_session_info_output_ref ()

    QmiMessageOmaGetSessionInfoOutput *
    qmi_message_oma_get_session_info_output_ref
                                   (QmiMessageOmaGetSessionInfoOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageOmaGetSessionInfoOutput. |

#### Returns

the new reference to `self` .

Since: 1.6

### qmi_message_oma_get_session_info_output_unref ()

    void
    qmi_message_oma_get_session_info_output_unref
                                   (QmiMessageOmaGetSessionInfoOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageOmaGetSessionInfoOutput. |

Since: 1.6

### qmi_message_oma_get_session_info_output_get_result ()

    gboolean
    qmi_message_oma_get_session_info_output_get_result
                                   (QmiMessageOmaGetSessionInfoOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageOmaGetSessionInfoOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.6

### qmi_message_oma_get_session_info_output_get_session_info ()

    gboolean
    qmi_message_oma_get_session_info_output_get_session_info
                                   (QmiMessageOmaGetSessionInfoOutput *self,
                                    QmiOmaSessionState *value_session_info_session_state,
                                    QmiOmaSessionType *value_session_info_session_type,
                                    GError **error);

Get the 'Session Info' field from `self` .

#### Parameters

self | a QmiMessageOmaGetSessionInfoOutput. |
value_session_info_session_state | a placeholder for the output QmiOmaSessionState, or `NULL` if not required. |
value_session_info_session_type | a placeholder for the output QmiOmaSessionType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_oma_get_session_info_output_get_session_failed_reason ()

    gboolean
    qmi_message_oma_get_session_info_output_get_session_failed_reason
                                   (QmiMessageOmaGetSessionInfoOutput *self,
                                    QmiOmaSessionFailedReason *value_session_failed_reason,
                                    GError **error);

Get the 'Session Failed Reason' field from `self` .

#### Parameters

self | a QmiMessageOmaGetSessionInfoOutput. |
value_session_failed_reason | a placeholder for the output QmiOmaSessionFailedReason, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_oma_get_session_info_output_get_retry_info ()

    gboolean
    qmi_message_oma_get_session_info_output_get_retry_info
                                   (QmiMessageOmaGetSessionInfoOutput *self,
                                    guint8 *value_retry_info_retry_count,
                                    guint16 *value_retry_info_retry_pause_timer,
                                    guint16 *value_retry_info_retry_pause_timer_remaining,
                                    GError **error);

Get the 'Retry Info' field from `self` .

#### Parameters

self | a QmiMessageOmaGetSessionInfoOutput. |
value_retry_info_retry_count | a placeholder for the output guint8, or `NULL` if not required. |
value_retry_info_retry_pause_timer | a placeholder for the output guint16, or `NULL` if not required. |
value_retry_info_retry_pause_timer_remaining | a placeholder for the output guint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_oma_get_session_info_output_get_network_initiated_alert ()

    gboolean
    qmi_message_oma_get_session_info_output_get_network_initiated_alert
                                   (QmiMessageOmaGetSessionInfoOutput *self,
                                    QmiOmaSessionType *value_network_initiated_alert_session_type,
                                    guint16 *value_network_initiated_alert_session_id,
                                    GError **error);

Get the 'Network Initiated Alert' field from `self` .

#### Parameters

self | a QmiMessageOmaGetSessionInfoOutput. |
value_network_initiated_alert_session_type | a placeholder for the output QmiOmaSessionType, or `NULL` if not required. |
value_network_initiated_alert_session_id | a placeholder for the output guint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_client_oma_get_session_info ()

    void
    qmi_client_oma_get_session_info (QmiClientOma *self,
                                     gpointer unused,
                                     guint timeout,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously sends a Get Session Info request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_oma_get_session_info_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientOma. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.6

### qmi_client_oma_get_session_info_finish ()

    QmiMessageOmaGetSessionInfoOutput *
    qmi_client_oma_get_session_info_finish
                                   (QmiClientOma *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_oma_get_session_info()`.

#### Parameters

self | a QmiClientOma. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_oma_get_session_info()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageOmaGetSessionInfoOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_oma_get_session_info_output_unref()`.

Since: 1.6

## Types and Values

### QmiMessageOmaGetSessionInfoOutput

    typedef struct _QmiMessageOmaGetSessionInfoOutput QmiMessageOmaGetSessionInfoOutput;

The QmiMessageOmaGetSessionInfoOutput structure contains private data and should only be accessed using the provided API.

Since: 1.6